Bug 963935 - Hide spokes that have been completed in anaconda (and, ideally, only ever show user creation outside of OEM case)
Summary: Hide spokes that have been completed in anaconda (and, ideally, only ever sho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 19
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
: 963967 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-16 19:36 UTC by Adam Williamson
Modified: 2015-01-10 00:06 UTC (History)
5 users (show)

Fixed In Version: anaconda-19.30.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-10 00:06:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2013-05-16 19:36:40 UTC
Currently, initial-setup always runs on first boot if it's installed, even if a root password was set and a user created in anaconda. This seems unnecessary; I don't think we really need to run it. Sure, you could change what you did during install, but why? The only other thing you can do is set the time, which eh, you can do from the desktop anyway.

Comment 1 Adam Williamson 2013-05-21 17:20:23 UTC
*** Bug 963967 has been marked as a duplicate of this bug. ***

Comment 2 Adam Williamson 2013-05-21 17:29:19 UTC
OK, let's make this the single bug for the proposed way forward here. As discussed at https://lists.fedoraproject.org/pipermail/devel/2013-May/183027.html , it is planned for initial-setup to display only spokes that were not completed in anaconda.

We really should do that for F19 Final. The current behaviour, where it shows all three spokes it supports in all cases, looks odd to the user and introduces far too many paths that could be broken.

There are some other things to consider here, though. If we just go with 'display spokes that weren't done in anaconda', consider the case where the user creates an admin user account in anaconda. Is the root spoke considered 'not done'? Does initial-setup run, and only show the root password spoke? I don't think that would be much use to anyone.

Personally I think i-s behaviour should be very simple: in the 'normal' use case, discounting OEM installs, it should only ever run to show the user creation spoke if user creation was not done during installation, and if user creation was done during installation, it should not run at all. Aside from the OEM case I don't think the root password and date/time spokes should ever be shown.

Comment 3 Adam Williamson 2013-05-28 01:13:09 UTC
Note: we do actually have an 'OEM' case that affects Fedora, which didn't occur to me when we were discussing this in IRC: ARM installs. Dennis tells me that F19 ARM images will rely on initial-setup to configure a root password and user account for the system.

So we probably do need to address the 'OEM' case for F19 as an urgent requirement, so ARM can rely on it. Prioritizing the 'normal' (i.e. x86) case and leaving OEM as a lower priority for later is not feasible, we at least need to make sure we can use the 'OEM' mode for ARM installs.

Comment 4 Vratislav Podzimek 2013-05-29 11:56:02 UTC
(In reply to Adam Williamson from comment #3)
> Note: we do actually have an 'OEM' case that affects Fedora, which didn't
> occur to me when we were discussing this in IRC: ARM installs. Dennis tells
> me that F19 ARM images will rely on initial-setup to configure a root
> password and user account for the system.
> 
> So we probably do need to address the 'OEM' case for F19 as an urgent
> requirement, so ARM can rely on it. Prioritizing the 'normal' (i.e. x86)
> case and leaving OEM as a lower priority for later is not feasible, we at
> least need to make sure we can use the 'OEM' mode for ARM installs.
ok, so what is the final direction we should go with these issues? I was thinking about adding '--oem' to the 'firstboot' kickstart command [1], but there already is the '--reconfig' option so I think it would be better to make it work again instead of adding another option.

[1] http://fedoraproject.org/wiki/Anaconda/Kickstart#firstboot

Without the '--reconfig' used in the kickstart, the i-s would show only the user creation spoke (if user is not created in the installation). With the '--reconfig' option used, on the other hand, it would show all that is implemented for it -- maybe also the language and keyboard settings in future?

Does this sound usable? I believe it shouldn't be a problem for the ARM team to add one line to their kickstart file(s).

Comment 5 Adam Williamson 2013-05-29 16:27:54 UTC
That sounds fine to me in theory, yes. Best way forward would likely be to implement it quickly and get it in early Final builds so we can tweak it if anyone complains :) Paul, Dennis, does the above plan sound viable for ARM?

Comment 6 Dennis Gilmore 2013-06-01 02:47:19 UTC
that sounds fine. i can add support to appliance-creator to make sure --reconfig is passed on if needed. I need to file a bug for another issue we are seeing in text mode.

Comment 7 Vratislav Podzimek 2013-06-18 14:20:11 UTC
No additional info needed, patches posted to anaconda-patches.

Comment 8 Vratislav Podzimek 2013-06-19 09:32:16 UTC
The patches make the 'firstboot --reconfig' option work as described above and hide the spokes completed in the installation process. Please add the 'firstboot --reconfig' to the kickstart file that is used for creating ARM images.

Comment 9 Adam Williamson 2013-06-21 04:10:10 UTC
GOOD: in tc6, if you don't create a user in anaconda, only the user spoke is shown in i-s.
GOOD: in tc6, if you create a user in anaconda, i-s does not show at all.
BAD/WEIRD: in tc6, if you don't create a user in anaconda or i-s, logging in as root graphically (to LXDE) fails, and logging in as root to a console is weirdly slow (possibly related to ConsoleKit failing to start up)?

BAD/WEIRD needs more investigation, but this looks good otherwise.

Comment 10 Adam Williamson 2013-06-21 05:11:10 UTC
Looks like BAD/WEIRD is just a generic bug with logging in as root before any user logs in on the LXDE image (at least), nothing more. I'll investigate and file separately. This update is not relevant to it. VERIFIED.

Comment 11 Fedora End Of Life 2015-01-09 22:41:54 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Adam Williamson 2015-01-10 00:06:59 UTC
Looks like this should've been closed long ago.


Note You need to log in before you can comment on or make changes to this bug.